// TrivialProcessFactory.cpp
// These things would fit in the header file, but they would
// clutter the namespace.

#ifdef _WINDOWS
#include "stdafx.h"
#include "MD.h"
#endif	// _WINDOWS

#include "TrivialProcessFactory.h"
#include "TrivialThread.h"
#include "TrivialRWLock.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

ThreadImp* TrivialProcessFactory::GetThread()
{
	return new TrivialThread();
}

RWLockImp* TrivialProcessFactory::GetRWLock()
{
	return new TrivialRWLock();
}