// ExternalWork.h: interface for the ExternalWork class.
//
//////////////////////////////////////////////////////////////////////

#ifndef EXTERNALWORK_H__
#define EXTERNALWORK_H__


#include <math.h>
#include <assert.h>

#ifndef SWIG
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#endif // SWIG

class ListOfAtoms;

class ExternalWork
{
 public:
  virtual double CalculateWork(ListOfAtoms *atoms)=0;
};

#endif // EXTERNALWORK_H__
