// FreeBoundaryConditions.h: interface for the FreeBoundaryConditions class.
//
//////////////////////////////////////////////////////////////////////

#ifndef FREEBOUNDARYCONDITIONS_H
#define FREEBOUNDARYCONDITIONS_H



#include <iostream>
#include "DigitalMaterial.h"
#include "BoundaryConditions.h"

class FreeBoundaryConditions  : public BoundaryConditions
{
public:
	FreeBoundaryConditions();
	virtual ~FreeBoundaryConditions();
	virtual void EnforceBoundaryConditions(DMArray<double, DIMENSION> *positions) const {};
#ifndef SWIG
    virtual void DifferenceBoundaryConditions(double (*displacements)[DIMENSION],int nAtoms) const {};
	virtual void DifferenceBoundaryConditions(DMArray<double, DIMENSION> *displacements) const {};
#endif //SWIG
	void EnforceBoundaryConditions(double *position) const {}

	BoundaryConditions *Copy()
	{
		FreeBoundaryConditions *newFBC = new FreeBoundaryConditions();
		return newFBC;
	}

	BoundaryConditions *Copy() const
	  {
	    return new FreeBoundaryConditions();
	  }

	void Save(DMWriter *writer) const {}
	void Load(DMReader *reader) {}
	//! Get the string name of the class for saving or loading.
	const std::string &GetType() const
	{
		return className;
	}
private:
	static const std::string className;

};

#endif // !defined(FREEBOUNDARYCONDITIONS_H)
