%{
#include "Shape.h"
#ifdef __GNUC__
#include <strstream>
#else
#include <sstream>
#endif // __GNUC__
%}

class Shape
{
public:
	Shape(int i=0);
	int GetNSubShapes() const;
	Shape GetSubShape(int i) const ;
	int NumberOfLeaves() const ;
%extend
{
public:
	PyObject * __str__()
	{  // uses stringstream. If your platform doesn't support it, just remove this function.
%#ifdef __GNUC__
		std::strstream o;
		o << *self << (char) 0;
		return PyString_FromString(o.str());
%#else
		std::stringstream o;
		o << *self;
		return PyString_FromString(o.str().c_str());
%#endif // __GNUC__
	}
}

};
