/** \defgroup moleculardynamics
  */

/*! \mainpage Molecular Dynamics

	This is an object-oriented molecular dynamics library.

	<H2>Requirements</H2>
	This library depends on <a href="../../../DMSystem/doc/html/index.html">DMSystem.</a>


	It compiles with
		- Linux gcc
		- Windows Microsoft VC++ or Intel compiler
		- Alpha native or gcc

	Required libraries are
		- BLAS with both cblas and, for some classes, regular f77 BLAS support.
		- NetCDF optional for some IO.
		- FFTW optional for some classes.
*/