// EMTAtomicUnitParameterProvider.h  --  provides the default EMT parameters in atomic units.

#ifndef _EMTATOMICUNITPARAMETERPROVIDER_H
#define _EMTATOMICUNITPARAMETERPROVIDER_H

#include "EMTDefaultParameterProvider.h"

class EMTAtomicUnitParameterProvider : public EMTDefaultParameterProvider
{
public:
	EMTAtomicUnitParameterProvider():EMTDefaultParameterProvider() {};
	virtual ~EMTAtomicUnitParameterProvider() {};
protected:
	virtual emt_parameters *GetNewParameters(const std::string element);
};


#endif //  _EMTATOMICUNITPARAMETERPROVIDER_H
