// HWndStore.h: interface for the HWndStore class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_HWNDSTORE_H__2B09727B_0C0C_48AF_A7F7_0B70B8671452__INCLUDED_)
#define AFX_HWNDSTORE_H__2B09727B_0C0C_48AF_A7F7_0B70B8671452__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <afx.h>
#include "MDSimulation.h"
#include "MDDoc.h"
#include "MDView.h"

class CMDView;	// Avoids problems of recursion: CMDView refers to HWndStore which refers to CMDView.


// Store everything about the application, to pass to the working thread simThread.

class HWndStore : public CObject  
{
	DECLARE_DYNAMIC( HWndStore )

public:
	MDSimulation * pSim;
	CMDDoc * pcmdDoc;
	CMDView * pcmdView;
	HWND hwnd;
	HWndStore(HWND hwnd, CMDView* pcmdView, CMDDoc* pcmdDoc, MDSimulation* pSim);
	HWndStore();
	virtual ~HWndStore();

};


#endif // !defined(AFX_HWNDSTORE_H__2B09727B_0C0C_48AF_A7F7_0B70B8671452__INCLUDED_)
